Subject: I-D Action: draft-trossen-rtgwg-routing-beyond-reachability-00.txt

From: [email-masked]
Date: Tue, 08 Feb 2022 05:09:32 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Continuing to Evolve Internet Routing Beyond 'Mere' Reachability
        Authors         : Dirk Trossen
                          David Lou
                          Sheng Jiang
	Filename        : draft-trossen-rtgwg-routing-beyond-reachability-00.txt
	Pages           : 25
	Date            : 2022-02-08

Abstract:
   This document discusses the evolution of the Internet routing system
   beyond mere reachability.  We observe, through examples of past
   development, that such evolution has been taking place to improve on
   capabilities of the Internet, deal with more complicated network
   deployments and cater to changing requirements by end users as well
   as novel and emerging applications.

   For achieving a routing system that serves more than a singular
   reachability purpose, more information is taken into account when
   performing the purpose-specific functions.  Such extra information
   can be obtained by extending current routing protocols to exchange
   more information or by carrying that information within packets.

   This document is intended to seed discussions of how the observed
   evolution of the Internet's routing system can continue, what issues
   may occur when simply continuing the current approach for achieving
   routing beyond 'mere' reachability and what may be needed to address
   those issues.  Ultimately, however, this document recognizes the
   positive impact that moving beyond reachability has brought to the
   Internet and will continue to do so.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-trossen-rtgwg-routing-beyond-reachability/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-trossen-rtgwg-routing-beyond-reachability-00

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts